Wallet Activation
Wallet Activation
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Headers
Idempotency-Id
Your unique identification for a POST request
- Maximum length is 128.
- CitiConnect API responds with an error (HTTP status 4XX) if your POST request idempotency identification value is a duplicate across a recent history of idempotency identifications in Citi’s database.
- If you don’t receive any response (HTTP status 2XX, 4XX or 5XX) from Citi to your POST request and you wish to retry, reinitiate your request with the same idempotency identification to prevent accidental duplicate payment.
Country-Code
Marketplace's country code.
Query parameters
client_id
Your unique identification, same as the identification you use for OAuth token generation, Citi shared with you during your CitiConnect API onboarding
Request
This endpoint expects an object.
merchant_id
Response headers
apim_guid
Response
Accepted - your request was received and acknowledged successfully
request_id
status_reason_information
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
415
Unsupported Media Type Error
500
Internal Server Error